local ax = SCREEN_WIDTH/640;
local ay = SCREEN_HEIGHT/480;

local t = Def.ActorFrame{}

local s101 = false
local s102 = false

if GAMESTATE:IsHumanPlayer(PLAYER_1) then
	if GAMESTATE:GetCurrentSteps(PLAYER_1):GetDifficulty() == "Difficulty_Challenge" then
		s101 = true;
	end
end

if GAMESTATE:IsHumanPlayer(PLAYER_2) then
	if GAMESTATE:GetCurrentSteps(PLAYER_2):GetDifficulty() == "Difficulty_Challenge" then
		s102 = true;
	end
end

local BounceEndBezier =
{
	0,0,
	1/3, 0.7,
	0.58, 1.42,
	1, 1
}
function Actor:bounceend(t)
	self:tween( t, "TweenType_Bezier", BounceEndBezier )
end
	
if s101 == true then
t[#t+1] = LoadActor("spin.png")..{
	OnCommand=cmd(zoom,0;x,160*ax;y,240*ay;bounceend,.04;zoom,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;queuecommand,"Stop");
	StopCommand=cmd(stoptweening;);
}
end		


if s102 == true then
t[#t+1] = LoadActor("spin.png")..{
	OnCommand=cmd(zoom,0;x,480*ax;y,240*ay;bounceend,.04;zoom,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;sleep,0.1;diffusealpha,1;sleep,0.1;diffusealpha,0;queuecommand,"Stop");
	StopCommand=cmd(stoptweening;);
}
end		

return t;